// RELATED SOFTWARE: Scilab >= 5.5.0, Scilab 6.0
// PACKAGE  : plotplots : plots curves or an existing axes in a
//            piecewise way along a broken or/and multiscaled axis.
// VERSION  : 2.0 - 2018-06-04
// AUTHOR   : Samuel GOUGEON
// COPYRIGHT: Samuel GOUGEON -  2018
// LICENSE for plotplots : 
//         CeCILL : http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt 
//
// DISCLAIMER: This toolbox is provided as is, with NO WARRANTY of any kind.
//             Use it to your own risks & responsability.


// Examples given in the help page may be used as tests.
// Their expected rendering is provided in the page.

// avec Matplot
clf
f = gcf(); f.axes_size = [900 410];
subplot(1,3,1)
Matplot()
xtitle("","","")
x0 = gca();
subplot(1,3,2)
plotplots(x0,"y",[0 140; 140 50],"widths","-isoscaled");
subplot(1,3,3)
plotplots(x0,"y",[0 100; 200 230],"widths","-","ticksmode","alt");

// avec Matplot1 : OK
clf
f = gcf(); f.axes_size = [1245 440];
subplot(1,3,1)
Matplot1()
xtitle("","","")
x0 = gca();
subplot(1,3,2)
axes = plotplots(x0,"x",[-15 0; 9 16 ; 25 40],"widths","isoscaled","ticksmode","alt");
subplot(1,3,3)
axes = plotplots(x0,"y",[-0.03 -0.02; 0 0.01],"ticksmode","alt");
